import { storiesOf, action } from '@kadira/storybook'
import React from 'react'
import Button from './index'

const stories = storiesOf('Button', module)

stories.add('Button - Types', () => (
  <div>
    <Button onClick={action('Button Clicked - Button type: Primary')}>Primary</Button>
    <Button type="danger" onClick={action('Button Clicked - Button type: Danger')}>Danger</Button>
    <Button type="error" onClick={action('Button Clicked - Button type: Error')}>Error</Button>
  </div>
))
